#### D.12.2.31 ShanksMestre

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  ShanksMestre(q,a,b); optional: ShanksMestre(q,a,b,s); s the number of loops in the algorithm (default s=1)

Return:
  the number of points of the elliptic curve defined by y^2=x^3+a*x+b over Z/N

Note:
  algorithm of Shanks and Mestre (baby-step-giant-step)

Example:

    LIB "crypto.lib";
    ShanksMestre(32003,71,602);
    ==> 32021

User manual for Singular version 4.4.1, 2025, generated by texi2html.